<?php
require_once 'db.php';

class productos extends conn { 

public function validarCodigo ($cod) {
$conn = parent::crearconn();
$cod= $conn->real_escape_string($cod); 
$sql2 = "SELECT * FROM productos WHERE Cod = '$cod'";
    $result = $conn->query($sql2);
    if ($result->num_rows > 0) {
    return false;
    }else{
    return true;

    }
 }

//Metodo para mostrar todos los productos
public function getAllproducto()
{
$conn = parent::crearconn();
$sql = "SELECT p.Cod,p.Nombre,p.Descripcion,p.Imagen,p.Stock_actual,p.Precio_Compra,p.Precio_Venta,p.ID_Proveedores,p.Stock_Actual, pr.Nombre_Empresa, ca.Nombre as nombre_categoria, d.Nombre as nombre_proveedor  from productos p   
INNER JOIN proveedores pr ON p.ID_Proveedores = pr.ID
INNER JOIN datos_personales d on pr.CI_Datos = d.Cedula
INNER JOIN categoria ca ON p.ID_Categoria = ca.ID where p.Estado = 1"; 

$result = $conn->query($sql);

$productos = array();
if ($result->num_rows > 0) {
     while ($row = $result->fetch_assoc()) {
         $productos[] = $row;
       }   
    }   
    return $productos;
}   

//Metodo para mostrar todos los productos eliminados logicamente
public function getAllproductoel()
{
$conn = parent::crearconn();
$sql = "SELECT p.Cod,p.Nombre,p.Descripcion,p.Imagen,p.Stock_actual,p.Precio_Compra,p.Precio_Venta,p.ID_Proveedores,p.Stock_Actual, ca.Nombre as nombre_categoria, d.Nombre as nombre_proveedor  from productos p   
INNER JOIN proveedores pr ON p.ID_Proveedores = pr.ID
INNER JOIN datos_personales d on pr.CI_Datos = d.Cedula

INNER JOIN categoria ca ON p.ID_Categoria = ca.ID where p.Estado = 0"; 

$result = $conn->query($sql);

$productos = array();
if ($result->num_rows > 0) {
     while ($row = $result->fetch_assoc()) {
         $productos[] = $row;
       }   
    }   
    return $productos;
}   

//Metodo para registrar un producto
public function saveproducto($cod,$nombre,$descripcion,$imagen,$precioC,$precioV,$categoria,$proveedor)
{
$conn = parent::crearconn(); 
$cod= $conn->real_escape_string($cod); 
$nombre= $conn->real_escape_string($nombre); 
$descripcion= $conn->real_escape_string($descripcion); 
$imagen= $conn->real_escape_string($imagen); 
$precioC= $conn->real_escape_string($precioC); 
$precioV= $conn->real_escape_string($precioV);
$categoria= $conn->real_escape_string($categoria);
$proveedor= $conn->real_escape_string($proveedor);
$sql = "INSERT INTO productos (Cod,Nombre,Descripcion,Imagen,Precio_Compra,Precio_Venta,ID_Categoria,ID_Proveedores) values('$cod','$nombre','$descripcion','$imagen','$precioC','$precioV','$categoria','$proveedor')";
$result = $conn->query($sql);
  return $result;

 } 

//Metodo para eliminar logicamente un producto
public function eliminarpro($cod)
{
$conn = parent::crearconn();
$cod = $conn->real_escape_string($cod);

$sql = "UPDATE `productos` set `Estado` = '0' WHERE Cod = '$cod' ";
$resultado = $conn->query($sql);


}

//Metodo para editar producto
public function updatepro($cod,$nombre,$descripcion,$imagen,$precioc,$preciov,$categoria,$proveedor)
{ 
$conn = parent::crearconn();
mysqli_query ($conn, "UPDATE `productos` SET  `Nombre` = '$nombre', `Descripcion` = '$descripcion', `Imagen` = '$imagen',  
	`Precio_Compra` = '$precioc', `Precio_Venta` = '$preciov',`ID_Categoria` = '$categoria', `ID_Proveedores` = '$proveedor'  WHERE `Cod` = '$cod'; ");
mysqli_close($conn);
}

//Metodo para restaurar un producto
public function restaurarproduct($pId )
{
$conn = parent::crearconn();
$pId  = $conn->real_escape_string($pId );

$sql = "UPDATE `productos` set `Estado` = '1' WHERE Cod = '$pId ' ";
$resultado = $conn->query($sql);
}
}    
?>